package Vectorlib;

$nprops = 5;
$nbins  = 5;

$vectors = {
	1 => {
		'A' => 0.354, 
		'R' => 7.573, 
		'N' => 11.294, 
		'D' => 13.42, 
		'C' => -5.846, 
		'Q' => 6.599, 
		'E' => 9.788, 
		'G' => 9.655, 
		'H' => 1.019, 
		'I' => -15.634, 
		'L' => -11.825, 
		'K' => 10.762, 
		'M' => -10.585, 
		'F' => -14.571, 
		'P' => 7.662, 
		'S' => 8.813, 
		'T' => 3.012, 
		'W' => -13.11, 
		'Y' => -6.245, 
		'V' => -12.135, 
		'-' => 0, 
	},
	2 => {
		'A' => 3.762, 
		'R' => -10.135, 
		'N' => 1.067, 
		'D' => -1.6, 
		'C' => 4.885, 
		'Q' => -5.166, 
		'E' => -7.861, 
		'G' => 15.778, 
		'H' => -4.969, 
		'I' => 1.993, 
		'L' => 0.505, 
		'K' => -9.517, 
		'M' => -3.959, 
		'F' => -0.646, 
		'P' => 8.029, 
		'S' => 6.682, 
		'T' => 4.127, 
		'W' => -5.222, 
		'Y' => -1.6, 
		'V' => 3.818, 
		'-' => 0, 
	},
	3 => {
		'A' => -11.036, 
		'R' => 2.486, 
		'N' => 2.718, 
		'D' => -0.325, 
		'C' => 1.626, 
		'Q' => -0.697, 
		'E' => -7.318, 
		'G' => -0.558, 
		'H' => 0.953, 
		'I' => -2.045, 
		'L' => -6.157, 
		'K' => -1.022, 
		'M' => -3.601, 
		'F' => 1.673, 
		'P' => 9.456, 
		'S' => -0.348, 
		'T' => -0.348, 
		'W' => 9.038, 
		'Y' => 9.874, 
		'V' => -4.345, 
		'-' => 0, 
	},
	4 => {
		'A' => -0.649, 
		'R' => -4.291, 
		'N' => 1.963, 
		'D' => 3.742, 
		'C' => 9.397, 
		'Q' => 0.582, 
		'E' => 2.611, 
		'G' => 0.299, 
		'H' => 4.657, 
		'I' => -3.243, 
		'L' => -4.557, 
		'K' => -5.405, 
		'M' => 5.339, 
		'F' => -0.033, 
		'P' => -3.576, 
		'S' => -1.131, 
		'T' => -2.195, 
		'W' => 1.38, 
		'Y' => -1.597, 
		'V' => -3.26, 
		'-' => 0, 
	},
	5 => {
		'A' => 2.828, 
		'R' => -5.687, 
		'N' => -0.859, 
		'D' => 2.437, 
		'C' => -5.843, 
		'Q' => -1.75, 
		'E' => 4.734, 
		'G' => 1.656, 
		'H' => -0.328, 
		'I' => -1.672, 
		'L' => 3.219, 
		'K' => -0.422, 
		'M' => 1.203, 
		'F' => 3.25, 
		'P' => 6, 
		'S' => -3.062, 
		'T' => -4.281, 
		'W' => 4.64, 
		'Y' => -1.422, 
		'V' => -4.672, 
		'-' => 0, 
	},
};

# Original version
#
#
$intervals = {
    1 => [-16,-10,-4,2,8,14],
    2 => [-11,-5.6,-0.2,5.2,10.6,16],
    3 => [-12,-7.6,-3.2,1.2,5.6,10],
    4 => [-6,-2.8,0.4,3.6,6.8,10],
    5 => [-6.0,-3.6,-1.2,1.2,3.6,6],
};

$natfreqs = {
    1 => [0.2953,0.0485,0.0982,0.1972,0.3598],
    2 => [0.1746,0.2238,0.4117,0.1205,0.0684],
    3 => [0.0758,0.2474,0.4287,0.1536,0.0935],
    4 => [0.3784,0.3451,0.1601,0.0988,0.0166],
    5 => [0.1907,0.2010,0.1262,0.3559,0.1252],
};

$bins = {
	1 => { 1=>[],  2=>[], 3=>[], 4=>[], 5=>[] }, 
	2 => { 1=>[],  2=>[], 3=>[], 4=>[], 5=>[] },
	3 => { 1=>[],  2=>[], 3=>[], 4=>[], 5=>[] },
	4 => { 1=>[],  2=>[], 3=>[], 4=>[], 5=>[] },
	5 => { 1=>[],  2=>[], 3=>[], 4=>[], 5=>[] },
};

# How many amino acids were used to create this file and frequencies of the amino acids [%].
$created_from = 0;
$histogram = {
	 'A'=>0, 'C'=>0, 'D'=>0, 'E'=>0, 'F'=>0, 'G'=>0, 'H'=>0, 'I'=>0, 'K'=>0, 'L'=>0, 'M'=>0, 'N'=>0, 'P'=>0, 'Q'=>0, 'R'=>0, 'S'=>0, 'T'=>0, 'V'=>0, 'W'=>0, 'Y'=>0,
};


1;
